<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckIfUserIsBanned
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (in_array(auth()->user()->phone_number, $this->bannedPhoneNumbers())) {
            return abort(403);
        }

        return $next($request);
    }

    /**
     * Banned phone numbers
     */
    public function bannedPhoneNumbers(): array
    {
        return [
            61661053,
        ];
    }
}
